package de.hhu.ba.yoshikoWrapper.taskFactories;

/**
 * Describes commands for the Yoshiko App that can be invoked via REST/CyREST
 * @author Philipp Spohr, Nov 30, 2017
 *
 */
public enum YoshikoCommand {
	/**
	 * Creates a CV for a given Cluster found in a result
	 */
	CREATE_CLUSTER_VIEW,
	CREATE_META_GRAPH,
	PERFORM_ALGORITHM;

	@Override
	public String toString() {
		if (this==PERFORM_ALGORITHM) {
			return "cluster"; //TODO: Dynamic
		}
		return "null";
	}
}


