package de.hhu.ba.yoshikoWrapper.core;


import org.cytoscape.model.CyColumn;
import org.cytoscape.work.Tunable;

public class ParameterSet {

	@Tunable(description="Time Limit for the ILP mode", context="nogui")
	public int timeLimit = -1;
	@Tunable(description="A column in the edge table containing weights", context="nogui")
	public CyColumn weightColumn;

	public CyColumn permanentColumn;
	public CyColumn forbiddenColumn;
	public double defaultInsertionCost;
	public double defaultDeletionCost;
	public String reductionRulesBitMask;
	public double snrMultFactor;
	public boolean useTriangleCuts;
	public boolean usePartitionCuts;
	public boolean useHeuristic;
	public int solCount;
	public boolean disableMultiThreading;

}
